<?xml version="1.0" encoding="utf-8"?>
<node id="SLAVE_I2C">
  <node id="S1" address ="0x00">
    <node id="SM" address="0x0">
	<node id="STATUS" address="0x0">
	  <node id="DONE"          permission="rw" mask="0x00000001"/>
	  <node id="ERROR"         permission="rw" mask="0x00000002"/>
	  <node id="ZYNQ_DONE"     permission="rw" mask="0x00000004"/>
          <node id="I2C_DONE"      permission="rw" mask="0x00000008" description="If 1, all I2C writes to S1 are done"/>
	  <node id="SHUTDOWN_REQ"  permission="rw" mask="0x00000010" description="If 1, petalinux will shut down"/>
	  <node id="SHUTDOWN"      permission="rw" mask="0x00000020" description="1 when petalinux shuts down"/>
	</node>
	<node id="INFO" address="0x1">
	  <node id="SN"            permission="r"  mask="0x000000FF" description="Service module serial number" parameters="Table=IPMC;Row=_5;Column=ID;Format=u;Status=1"/>
	  <node id="SLOT"          permission="r"  mask="0x0000FF00" description="Shelf physical slot IPMB addr"  parameters="Table=IPMC;Row=_5;Column=Addr;Status=1"/>
	  <node id="RN"         permission="r"  mask="0xFF000000" description="Revision Number"  parameters="Table=IPMC;Row=_5;Column=ID;Status=1"/>
	</node>	
	<node id="ETH0_MAC" address="0x5">
	  <node id="BYTE_0" address="0x0"        permission="r" mask="0x000000FF" description="eth0 mac adder byte 1"/>
	  <node id="BYTE_1" address="0x0"        permission="r" mask="0x0000FF00" description="eth0 mac adder byte 2"/>
	  <node id="BYTE_2" address="0x0"        permission="r" mask="0x00FF0000" description="eth0 mac adder byte 3"/>
	  <node id="BYTE_3" address="0x0"        permission="r" mask="0xFF000000" description="eth0 mac adder byte 4"/>
	  <node id="BYTE_4" address="0x1"        permission="r" mask="0x000000FF" description="eth0 mac adder byte 5"/>
	  <node id="BYTE_5" address="0x1"        permission="r" mask="0x0000FF00" description="eth0 mac adder byte 6"/>
	  <node id="CHECKSUM" address="0x1"      permission="r" mask="0x00FF0000" description="8-bit checksum for ETH0"/>
	</node>
	<node id="ETH1_MAC" address="0x7">
	  <node id="BYTE_0" address="0x0"        permission="r" mask="0x000000FF" description="eth1 mac adder byte 1"/>
	  <node id="BYTE_1" address="0x0"        permission="r" mask="0x0000FF00" description="eth1 mac adder byte 2"/>
	  <node id="BYTE_2" address="0x0"        permission="r" mask="0x00FF0000" description="eth1 mac adder byte 3"/>
	  <node id="BYTE_3" address="0x0"        permission="r" mask="0xFF000000" description="eth1 mac adder byte 4"/>
	  <node id="BYTE_4" address="0x1"        permission="r" mask="0x000000FF" description="eth1 mac adder byte 5"/>
	  <node id="BYTE_5" address="0x1"        permission="r" mask="0x0000FF00" description="eth1 mac adder byte 6"/>
	  <node id="CHECKSUM" address="0x1"      permission="r" mask="0x00FF0000" description="8-bit checksum for ETH1"/>
	</node>
	<node id="TEMP" address="0x09">
	  <node id="TEMP" address="0x0"      permission="rw" mask="0x000000FF" description="8bit temp of zynq for IPMC"/>
	  <node id="TEMP_MAX" address="0x0"      permission="rw" mask="0x0000FF00" description="8bit max temp of zynq for IPMC"/>
	  <node id="TEMP_MIN"  address="0x0"      permission="rw" mask="0x00FF0000" description="8bit min temp of zynq for IPMC"/>
	</node>
    </node>      
    <node id="CM" address="0x0A">
      <node id="DONE_KINTEX" address="0x0"        permission="rw" mask="0x00000001" description="KINTEX_PGRM_DONE" parameters="Table=STATUS;Row=CM_FPGA;Column=_4;Format=u;Status=1"/>
      <node id="DONE_VIRTEX" address="0x0"        permission="rw" mask="0x00000010" description="KINTEX_PGRM_DONE" parameters="Table=STATUS;Row=CM_FPGA;Column=_4;Format=u;Status=1"/>
    </node>
    <!-- <node id="A"  address="0xA" permission="rw"/> -->
    <!-- <node id="B"  address="0xB" permission="rw"/> -->
    <!-- <node id="C"  address="0xC" permission="rw"/> -->
    <!-- <node id="D"  address="0xD" permission="rw"/> -->
    <!-- <node id="E"  address="0xE" permission="rw"/> -->
    <!-- <node id="F"  address="0xF" permission="rw"/> -->
  </node>
  <node id="S2" address ="0x10">
    <node id="VAL"  address="0x0" permission="rw">
      <node id="TEMP"     mask="0x000000FF" permission="r" parameters="Table=STATUS;Row=CM_MCU;Column=_4;Format=u;Status=1;Show=nz"/>
      <node id="TEMP_MAX" mask="0x0000FF00" permission="r" parameters="Table=STATUS;Row=CM_MCU;Column=_4;Format=u;Status=1;Show=nz"/>
      <node id="TEMP_MIN" mask="0x00FF0000" permission="r" parameters="Table=STATUS;Row=CM_MCU;Column=_4;Format=u;Status=1;Show=nz"/>
    </node>
    <!-- <node id="1"  address="0x1" permission="rw"/> -->
    <!-- <node id="2"  address="0x2" permission="rw"/> -->
    <!-- <node id="3"  address="0x3" permission="rw"/> -->
    <!-- <node id="4"  address="0x4" permission="rw"/> -->
    <!-- <node id="5"  address="0x5" permission="rw"/> -->
    <!-- <node id="6"  address="0x6" permission="rw"/> -->
    <!-- <node id="7"  address="0x7" permission="rw"/> -->
    <!-- <node id="8"  address="0x8" permission="rw"/> -->
    <!-- <node id="9"  address="0x9" permission="rw"/> -->
    <!-- <node id="A"  address="0xA" permission="rw"/> -->
    <!-- <node id="B"  address="0xB" permission="rw"/> -->
    <!-- <node id="C"  address="0xC" permission="rw"/> -->
    <!-- <node id="D"  address="0xD" permission="rw"/> -->
    <!-- <node id="E"  address="0xE" permission="rw"/> -->
    <!-- <node id="F"  address="0xF" permission="rw"/> -->
  </node>
  <node id="S3" address ="0x20">
    <node id="VAL"  address="0x0" permission="rw">
      <node id="TEMP"     mask="0x000000FF" permission="r" parameters="Table=STATUS;Row=CM_FF;Column=_4;Format=u;Status=1;Show=nz"/>
      <node id="TEMP_MAX" mask="0x0000FF00" permission="r" parameters="Table=STATUS;Row=CM_FF;Column=_4;Format=u;Status=1;Show=nz"/>
      <node id="TEMP_MIN" mask="0x00FF0000" permission="r" parameters="Table=STATUS;Row=CM_FF;Column=_4;Format=u;Status=1;Show=nz"/>
    </node>
    <!-- <node id="1"  address="0x1" permission="rw"/> -->
    <!-- <node id="2"  address="0x2" permission="rw"/> -->
    <!-- <node id="3"  address="0x3" permission="rw"/> -->
    <!-- <node id="4"  address="0x4" permission="rw"/> -->
    <!-- <node id="5"  address="0x5" permission="rw"/> -->
    <!-- <node id="6"  address="0x6" permission="rw"/> -->
    <!-- <node id="7"  address="0x7" permission="rw"/> -->
    <!-- <node id="8"  address="0x8" permission="rw"/> -->
    <!-- <node id="9"  address="0x9" permission="rw"/> -->
    <!-- <node id="A"  address="0xA" permission="rw"/> -->
    <!-- <node id="B"  address="0xB" permission="rw"/> -->
    <!-- <node id="C"  address="0xC" permission="rw"/> -->
    <!-- <node id="D"  address="0xD" permission="rw"/> -->
    <!-- <node id="E"  address="0xE" permission="rw"/> -->
    <!-- <node id="F"  address="0xF" permission="rw"/> -->
  </node>
  <node id="S4" address ="0x30">
    <node id="VAL"  address="0x0" permission="rw">
      <node id="TEMP"     mask="0x000000FF" permission="r" parameters="Table=STATUS;Row=CM_FPGA;Column=_4;Format=u;Status=1;Show=nz"/>
      <node id="TEMP_MAX" mask="0x0000FF00" permission="r" parameters="Table=STATUS;Row=CM_FPGA;Column=_4;Format=u;Status=1;Show=nz"/>
      <node id="TEMP_MIN" mask="0x00FF0000" permission="r" parameters="Table=STATUS;Row=CM_FPGA;Column=_4;Format=u;Status=1;Show=nz"/>
    </node>      
    <!-- <node id="1"  address="0x1" permission="rw"/> -->
    <!-- <node id="2"  address="0x2" permission="rw"/> -->
    <!-- <node id="3"  address="0x3" permission="rw"/> -->
    <!-- <node id="4"  address="0x4" permission="rw"/> -->
    <!-- <node id="5"  address="0x5" permission="rw"/> -->
    <!-- <node id="6"  address="0x6" permission="rw"/> -->
    <!-- <node id="7"  address="0x7" permission="rw"/> -->
    <!-- <node id="8"  address="0x8" permission="rw"/> -->
    <!-- <node id="9"  address="0x9" permission="rw"/> -->
    <!-- <node id="A"  address="0xA" permission="rw"/> -->
    <!-- <node id="B"  address="0xB" permission="rw"/> -->
    <!-- <node id="C"  address="0xC" permission="rw"/> -->
    <!-- <node id="D"  address="0xD" permission="rw"/> -->
    <!-- <node id="E"  address="0xE" permission="rw"/> -->
    <!-- <node id="F"  address="0xF" permission="rw"/> -->
  </node>
  <node id="S5" address ="0x40">
    <node id="VAL"  address="0x0" permission="rw">
      <node id="TEMP"     mask="0x000000FF" permission="r" parameters="Table=STATUS;Row=CM_REG;Column=_4;Format=u;Status=1;Show=nz"/>
      <node id="TEMP_MAX" mask="0x0000FF00" permission="r" parameters="Table=STATUS;Row=CM_REG;Column=_4;Format=u;Status=1;Show=nz"/>
      <node id="TEMP_MIN" mask="0x00FF0000" permission="r" parameters="Table=STATUS;Row=CM_REG;Column=_4;Format=u;Status=1;Show=nz"/>
    </node>      
    <!-- <node id="1"  address="0x1" permission="rw"/> -->
    <!-- <node id="2"  address="0x2" permission="rw"/> -->
    <!-- <node id="3"  address="0x3" permission="rw"/> -->
    <!-- <node id="4"  address="0x4" permission="rw"/> -->
    <!-- <node id="5"  address="0x5" permission="rw"/> -->
    <!-- <node id="6"  address="0x6" permission="rw"/> -->
    <!-- <node id="7"  address="0x7" permission="rw"/> -->
    <!-- <node id="8"  address="0x8" permission="rw"/> -->
    <!-- <node id="9"  address="0x9" permission="rw"/> -->
    <!-- <node id="A"  address="0xA" permission="rw"/> -->
    <!-- <node id="B"  address="0xB" permission="rw"/> -->
    <!-- <node id="C"  address="0xC" permission="rw"/> -->
    <!-- <node id="D"  address="0xD" permission="rw"/> -->
    <!-- <node id="E"  address="0xE" permission="rw"/> -->
    <!-- <node id="F"  address="0xF" permission="rw"/> -->
  </node>
  <node id="S6" address ="0x50">
    <node id="SITE_NUMBER" permission="r" address="0x0" description="Physical site number of the blade." />
    <node id="SHELF_ID"    permission="r" address="0x1" mode="incremental" size="0x5" parameters="Format=c;" description="20-byte shelf ID.">
      <node id="WORD_1" permission="r" address="0x0" parameters="Format=c;" />
      <node id="WORD_2" permission="r" address="0x1" parameters="Format=c;" />
      <node id="WORD_3" permission="r" address="0x2" parameters="Format=c;" />
      <node id="WORD_4" permission="r" address="0x3" parameters="Format=c;" />
      <node id="WORD_5" permission="r" address="0x4" parameters="Format=c;" />
    </node>
  </node>
  <!-- <node id="S6" address ="0x50"> -->
  <!--   <node id="0"  address="0x0" permission="rw"/> -->
  <!--   <node id="1"  address="0x1" permission="rw"/> -->
  <!--   <node id="2"  address="0x2" permission="rw"/> -->
  <!--   <node id="3"  address="0x3" permission="rw"/> -->
  <!--   <node id="4"  address="0x4" permission="rw"/> -->
  <!--   <node id="5"  address="0x5" permission="rw"/> -->
  <!--   <node id="6"  address="0x6" permission="rw"/> -->
  <!--   <node id="7"  address="0x7" permission="rw"/> -->
  <!--   <node id="8"  address="0x8" permission="rw"/> -->
  <!--   <node id="9"  address="0x9" permission="rw"/> -->
  <!--   <node id="A"  address="0xA" permission="rw"/> -->
  <!--   <node id="B"  address="0xB" permission="rw"/> -->
  <!--   <node id="C"  address="0xC" permission="rw"/> -->
  <!--   <node id="D"  address="0xD" permission="rw"/> -->
  <!--   <node id="E"  address="0xE" permission="rw"/> -->
  <!--   <node id="F"  address="0xF" permission="rw"/> -->
  <!-- </node> -->
  <!-- <node id="S7" address ="0x60"> -->
  <!--   <node id="0"  address="0x0" permission="rw"/> -->
  <!--   <node id="1"  address="0x1" permission="rw"/> -->
  <!--   <node id="2"  address="0x2" permission="rw"/> -->
  <!--   <node id="3"  address="0x3" permission="rw"/> -->
  <!--   <node id="4"  address="0x4" permission="rw"/> -->
  <!--   <node id="5"  address="0x5" permission="rw"/> -->
  <!--   <node id="6"  address="0x6" permission="rw"/> -->
  <!--   <node id="7"  address="0x7" permission="rw"/> -->
  <!--   <node id="8"  address="0x8" permission="rw"/> -->
  <!--   <node id="9"  address="0x9" permission="rw"/> -->
  <!--   <node id="A"  address="0xA" permission="rw"/> -->
  <!--   <node id="B"  address="0xB" permission="rw"/> -->
  <!--   <node id="C"  address="0xC" permission="rw"/> -->
  <!--   <node id="D"  address="0xD" permission="rw"/> -->
  <!--   <node id="E"  address="0xE" permission="rw"/> -->
  <!--   <node id="F"  address="0xF" permission="rw"/> -->
  <!-- </node> -->
  <node id="S7" address ="0x60">
    <node id="PIM">
      <node id="STATUS" address="0x00">
	<node id= "ENABLE_A"          permission="r" mask="0x00000001" description="ENABLE_AF signal status"        parameters="Table=SM_Power;Row=PIM_A;Column=ENABLED;Format=u;Status=1"/>
	<node id= "ENABLE_B"          permission="r" mask="0x00000002" description="ENABLE_BF signal status"        parameters="Table=SM_Power;Row=PIM_B;Column=ENABLED;Format=u;Status=1"/>
	<node id= "ALARM"             permission="r" mask="0x00000004" description="ALARM signal status"            parameters="Table=SM_Power;Row=PIM;Column=ALARM;Format=u;Status=1"/>
	<node id= "HOLDUP"            permission="r" mask="0x00000010" description="Holdup status"                  parameters="Table=SM_Power;Row=PIM_HLDUP;Column=STATUS;Format=t_0_DISCONNECTED_1_CONNECTED;Status=3"/>
	<node id= "HOTSWAP_SWITCH"    permission="r" mask="0x00000020" description="Hotswap status"                 parameters="Table=SM_Power;Row=PIM_HOTSWAP;Column=STATUS;Format=t_0_OFF_1_ON;Status=3"/>
	<node id= "UNDERVOLTAGE_OUT"  permission="r" mask="0x00000040" description="-48V undervoltage alarm status" parameters="Table=SM_Power;Row=PIM_OUT_STATUS;Column=STATUS;Format=t_0_UnderVoltage_1_OK;Status=3"/>
      </node>
      <node id="HOLDUP_VOLTAGE" address="0x01" permission="r" mask="0x000000FF" description="Holdup voltage w.r.t. -48V_OUT 0.398 V/bit" parameters="Table=SM_Power;Row=PIM_HLDUP;Column=Volts;Format=m_1_398_1000_1_0_1;Status=1"/>
      <node id="OUT_CURRENT"    address="0x01" permission="r" mask="0x0000FF00" description="-48V_OUT current 0.094 A/bit" parameters="Table=SM_Power;Row=PIM;Column=Amps;Format=m_1_94_1000_1_0_1;Status=1"/>
      <node id="VIN_A"          address="0x01" permission="r" mask="0x00FF0000" description="Voltage between -48V_AF and VRTN_AF 0.325 V/bit" parameters="Table=SM_Power;Row=PIM_VIN_A;Column=Volts;Format=m_1_325_1000_1_0_1;Status=1"/>
      <node id="VIN_B"          address="0x01" permission="r" mask="0xFF000000" description="Voltage between -48V_BF and VRTN_BF 0.325 V/bit" parameters="Table=SM_Power;Row=PIM_VIN_B;Column=Volts;Format=m_1_325_1000_1_0_1;Status=1"/>
      <node id="TEMP"           address="0x02" permission="r" mask="0x000000FF" description="Module Temperature (1.961 C/bit) - 50C" parameters="Table=SM_TEMPS;Row=PIM;Column=C;Format=m_1_1961_1000_0_50_1;Status=1"/>
    </node>
    <node id="SM_TEMP_TOP"      address="0x5"  permission="r" mask="0x00007FF0" description="SM temp sensor top (absolute value)"     parameters="Table=SM_TEMPS;Row=SM_Top;Column=C;Format=m_1_1_16_1_0_1;Status=1"/>
    <node id="SM_TEMP_MIDDLE"   address="0x5"  permission="r" mask="0x7FF00000" description="SM temp sensor middle (absolute value)"  parameters="Table=SM_TEMPS;Row=SM_Middle;Column=C;Format=m_1_1_16_1_0_1;Status=1"/>
    <node id="SM_TEMP_BOTTOM"   address="0x6"  permission="r" mask="0x00007FF0" description="SM temp sensor bottom (absolute value)"  parameters="Table=SM_TEMPS;Row=SM_Bottom;Column=C;Format=m_1_1_16_1_0_1;Status=1"/>
  </node>
  <node id="S8" address ="0x70">
    <node id="IPMC_MAC" address="0x0">
	<node id="BYTE_0"      address="0x0"        permission="r" mask="0x000000FF" description="IPMC mac adder byte 1"/>
	<node id="BYTE_1"      address="0x0"        permission="r" mask="0x0000FF00" description="IPMC mac adder byte 2"/>
	<node id="BYTE_2"      address="0x0"        permission="r" mask="0x00FF0000" description="IPMC mac adder byte 3"/>
	<node id="BYTE_3"      address="0x0"        permission="r" mask="0xFF000000" description="IPMC mac adder byte 4"/>
	<node id="BYTE_4"      address="0x1"        permission="r" mask="0x000000FF" description="IPMC mac adder byte 5"/>
	<node id="BYTE_5"      address="0x1"        permission="r" mask="0x0000FF00" description="IPMC mac adder byte 6"/>
    </node>
    <node id="IPMC_IP" address="0x2" parameters="Table=IPMC;Row=ETH;Column=IP;Status=2;Format=IP;Show=nz">
	<node id="BYTE_0"      address="0x0"        permission="r" mask="0x000000FF" description="IPMC IP adder byte 1"/>
	<node id="BYTE_1"      address="0x0"        permission="r" mask="0x0000FF00" description="IPMC IP adder byte 2"/>
	<node id="BYTE_2"      address="0x0"        permission="r" mask="0x00FF0000" description="IPMC IP adder byte 3"/>
	<node id="BYTE_3"      address="0x0"        permission="r" mask="0xFF000000" description="IPMC IP adder byte 4"/>
    </node>      
    <node id="IPMC_FW_GIT_HASH" address="0x4" permission="r" mask="0xFFFFFFFF" description="32-bit git hash for the IPMC FW." parameters="Table=IPMC;Row=GIT_HASH;Column=Val;Status=1;Show=nz"/>          
    <node id="IPMC_UID"         address="0x5" permission="r" mask="0xFFFFFFFF" description="Unique 32-bit identifier for the installed IPMC." parameters="Table=IPMC;Row=UID;Column=Val;Status=3;Show=nz"/>      
    <!-- <node id="3"  address="0x3" permission="rw"/> -->
    <!-- <node id="4"  address="0x4" permission="rw"/> -->
    <!-- <node id="5"  address="0x5" permission="rw"/> -->
    <!-- <node id="6"  address="0x6" permission="rw"/> -->
    <!-- <node id="7"  address="0x7" permission="rw"/> -->
    <!-- <node id="8"  address="0x8" permission="rw"/> -->
    <!-- <node id="9"  address="0x9" permission="rw"/> -->
    <!-- <node id="A"  address="0xA" permission="rw"/> -->
    <!-- <node id="B"  address="0xB" permission="rw"/> -->
    <!-- <node id="C"  address="0xC" permission="rw"/> -->
    <!-- <node id="D"  address="0xD" permission="rw"/> -->
    <!-- <node id="E"  address="0xE" permission="rw"/> -->
    <!-- <node id="F"  address="0xF" permission="rw"/> -->
  </node>
  <node id="HB_SET1" address="0x07FF" permission="r" mask="0x1"/>
  <node id="HB_SET2" address="0x07FE" permission="r" mask="0x2"/>
</node>
